PAPILO(1)

NAME
papilo - presolver for linear programming problems

SYNOPSIS
papilo presolve [options]
papilo solve [options]
papilo postsolve [options]

PRESOLVE OPTIONS

-f FILE, --file=FILE
    instance file

-a TYPE, --arithmetic-type=TYPE
    "d" for double precision, "q" for quad precision, and "r" for exact rational arithmetic

-v FILE, --postsolve-archive=FILE
    filename for postsolve archive

-r FILE, --reduced-problem=FILE
    filename for reduced problem

-p FILE, --parameter-settings=FILE
    filename for presolve parameter settings

--print-params
    print possible parameters for presolving

-t -N, --threads=N
    set number of threads

SOLVE OPTIONS

-f FILE, --file=FILE
    instance file

-a TYPE, --arithmetic-type=TYPE
    "d" for double precision, "q" for quad precision, and "r" for exact rational arithmetic

-v FILE, --postsolve-archive=FILE
    filename for postsolve archive

-r FILE, --reduced-problem=FILE
    filename for reduced problem

-p FILE, --parameter-settings=FILE
    filename for presolve parameter settings

--print-params
    print possible parameters for presolving

-t -N, --threads=N
    set number of threads

-u FILE, --reduced-solution=FILE
    filename for solution of reduced problem

-l FILE, --solution=FILE
    filename for solution

--dualsolution=FILE
    filename for dual solution

-c FILE, --reducedcosts=FILE
    filename for reduced costs

-w FILE, --basis=FILE
    filename for basis information

-o VALUE, --reference-objective=VALUE
    correct objective value for validation

-x FILE, --soplex-settings=FILE
    SoPlex settings file

--tlim LIMIT
    time limit for solver (including presolve time)

--print-stats
    print detailed solver statistics

POSTSOLVE OPTIONS

-f FILE, --file=FILE
    instance file

-a TYPE, --arithmetic-type=TYPE
    "d" for double precision, "q" for quad precision, and "r" for exact rational arithmetic

-v FILE, --postsolve-archive=FILE
    filename for postsolve archive

--dual-reduced-solution=FILE
    filename for the dual solution of the reduced problem

--cost-reduced-solution=FILE
    filename for the reduced costs of the reduced problem

--basis-reduced-solution=FILE
    filename for the basis of the reduced problem

-u FILE, --reduced-solution=FILE
    filename for solution of reduced problem

-l FILE, --solution=FILE
    filename for solution

--dualsolution=FILE
    filename for dual solution

-c FILE, --reducedcosts=FILE
    filename for reduced costs

-w FILE, --basis=FILE
    filename for basis information

-o VALUE, --reference-objective=VALUE
    correct objective value for validation

-b FILE, --validate-solution=FILE
    optimal solution for validation